# Uses of Interface
org.osgi.resource.Requirement

Packages that use Requirement
Package
Description
org.apache.felix.framework
org.apache.felix.framework.resolver
org.apache.felix.framework.wiring
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.
org.osgi.resource
Resource Package Version 1.0.

## Uses of Requirement in org.apache.felix.framework

Methods in org.apache.felix.framework that return types with arguments of type Requirement
Modifier and Type
Method
Description
`List<Requirement>`
BundleRevisionImpl.`getRequirements(String namespace)`
`List<Requirement>`
BundleWiringImpl.`getResourceRequirements(String namespace)`

## Uses of Requirement in org.apache.felix.framework.resolver

Classes in org.apache.felix.framework.resolver that implement Requirement
Modifier and Type
Class
Description
`class`
`WrappedRequirement`

## Uses of Requirement in org.apache.felix.framework.wiring

Classes in org.apache.felix.framework.wiring that implement Requirement
Modifier and Type
Class
Description
`class`
`BundleRequirementImpl`

## Uses of Requirement in org.osgi.framework.wiring

Subinterfaces of Requirement in org.osgi.framework.wiring
Modifier and Type
Interface
Description
`interface`
`BundleRequirement`
A requirement that has been declared from a `bundle revision`.
Methods in org.osgi.framework.wiring that return types with arguments of type Requirement
Modifier and Type
Method
Description
`List<Requirement>`
BundleRevision.`getRequirements(String namespace)`
Returns the requirements declared by this bundle resource.
`List<Requirement>`
BundleWiring.`getResourceRequirements(String namespace)`
Returns the requirements of this wiring.
Methods in org.osgi.framework.wiring with parameters of type Requirement
Modifier and Type
Method
Description
`Collection<BundleCapability>`
FrameworkWiring.`findProviders(Requirement requirement)`
Find bundle capabilities that match the given requirement.

## Uses of Requirement in org.osgi.resource

Methods in org.osgi.resource that return Requirement
Modifier and Type
Method
Description
`Requirement`
Wire.`getRequirement()`
Returns the `Requirement` for this wire.
Methods in org.osgi.resource that return types with arguments of type Requirement
Modifier and Type
Method
Description
`List<Requirement>`
Resource.`getRequirements(String namespace)`
Returns the requirements declared by this bundle resource.
`List<Requirement>`
Wiring.`getResourceRequirements(String namespace)`
Returns the requirements of this wiring.